maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Anders Hammar <and...@hammar.net>
Subject Re: Cannot find deprecated expressions reported by maven
Date Wed, 25 Feb 2015 13:27:13 GMT
Could it be that it declared in one of your dependencies? Just a guess as I
don't know if Maven warns for that or not.

What are the console output just before and after these two warnings?

/Anders

On Wed, Feb 25, 2015 at 2:17 PM, Pop Qvarnström <pop.qvarnstrom@gmail.com>
wrote:

> Hi,
>
> I've searched the best I can, but have not been able to find a solution.
> When running maven 3 to build an older project I get what seems like
> self-explanatory warnings:
>
> "[WARNING] The expression ${artifactId} is deprecated. Please use
> ${project.artifactId} instead." and
> "[WARNING] The expression ${version} is deprecated. Please use
> ${project.version} instead."
>
> Problem: I cannot find a single instance of either of the expressions in
> any of my pom files. Even the effective pom generated by running "mvn
> help:effective-pom" contains no instances of either expression. How can I
> fix whatever is causing these warnings? Any help appreciated.
>
> Kind regards,
> Pop Qvarnström
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message